package org.springblade.modules.home.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springblade.core.tool.api.R;
import org.springblade.modules.home.service.IHomeService;
import org.springblade.modules.home.vo.StatisticalVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@AllArgsConstructor
@RequestMapping("home")
@Api(value = "首页", tags = "首页接口")
public class HomeController {

	@Autowired
	private IHomeService homeService;

	@ApiOperation(value = "首页数据统计")
	@GetMapping("/statistical")
	public R<StatisticalVO> statistical() {
		return R.data(homeService.statistical());
	}

}
